Bug 127056 - Allow mkdosfs to mirror bootcode from template
Allow mkdosfs to mirror bootcode from template
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dosfstools (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 01:26 EDT by Sam Bingner
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add option to save custom bootcode (4.23 KB, patch)
2004-07-01 01:27 EDT, Sam Bingner
no flags Details | Diff
Add option to allow creationg of bootable partitions based on template bootcode (8.66 KB, patch)
2004-07-01 01:33 EDT, Sam Bingner
no flags Details | Diff

  None (edit)
Description Sam Bingner 2004-07-01 01:26:31 EDT
Description of problem:
mkdosfs, and no other programs I was able to locate currently allow 
you to write boot code to a FAT partition.  This patch will add an 
option "-B" that points to a dump of the first sector of the 
partition for FAT16 or the first 13 sectors for FAT32 (some of the 
bootcode is farther in)

It also corrects the layout of the structure to match the whitepaper 
from M$

Version-Release number of selected component (if applicable):
2.9

Steps to Reproduce:
save bootcode from a bootable fat32 partition (NT, 2000, Win95 etc)
 - dd if=/dev/hda1 of=f32.bs bs=512 count=13

create a new bootable partition:
mkdosfs -F 32 -B f32.bs /dev/hda1

Note, this still requires somehow writing the MBR, which is easily 
done with dd like so:
save: dd if=/dev/hda of=DOSMBR bs=512 count=1
write: dd if=DOSMBR of=/dev/hda bs=446 count=1 ; dd if=DOSMBR 
of=/dev/hda bs=2 skip=255 seek=255

The second dd is needed to write the bootable drive flag to the MBR
Comment 1 Sam Bingner 2004-07-01 01:27:53 EDT
Created attachment 101554 [details]
Add option to save custom bootcode
Comment 2 Sam Bingner 2004-07-01 01:33:08 EDT
Comment on attachment 101554 [details]
Add option to save custom bootcode

Attached wrong file, sorry
Comment 3 Sam Bingner 2004-07-01 01:33:48 EDT
Created attachment 101555 [details]
Add option to allow creationg of bootable partitions based on template bootcode
Comment 4 Mark Heslep 2004-07-01 11:33:23 EDT
I 2nd Sam's RFE.  We really need bootable dos partitions here.
Comment 5 Matthew Miller 2005-04-26 12:23:14 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 John Thacker 2006-10-25 16:05:21 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.
Comment 7 Sam Bingner 2006-10-25 20:34:37 EDT
When I posted this FC2 was current.  There was no lack of feedback, since there 
was no request for data.  If you want to ignore it, I'll just keep patching my 
own code when necessary and maybe somebody will be able to find this when they 
need it.  Great system you have here.

Note You need to log in before you can comment on or make changes to this bug.